* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
}

body {
    background: linear-gradient(to right, rgb(30, 58, 138) 35%, #ffffff 35%);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.login-container {
    display: flex;
    width: 900px;
    height: 600px;
    box-shadow: 2px 2px 10px 5px rgba(0, 0, 0, 0.3);
    border-radius: 20px;
    overflow: hidden;
}

/* Kolom Kiri */
.login-left {
    flex-basis: 50%;
    background: linear-gradient(rgb(30, 58, 131, 0.7), rgba(30, 58, 131, 0.7)),
        url("../images/fotoGedungDinkes2.jpeg");
    background-size: cover;
    background-position: center;
    color: #fff;
    display: flex;
    justify-content: right;
    align-items: center;
    padding: 40px;
    text-align: right;
}

.left-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    padding: 3rem 0;
}

.left-content h1 {
    font-size: 1.8rem;
    font-weight: 700;
    /* margin-top: 5rem; */
    margin-bottom: 2rem;
}

.left-content p {
    font-size: 0.9rem;
    line-height: 1.6;
}

/* Kolom Kanan */
.login-right {
    flex-basis: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
}

.login-form {
    width: 100%;
    max-width: 350px;
}

.login-form h2 {
    font-size: 1.8rem;
    font-weight: 600;
    margin-bottom: 30px;
    color: #333;
}

.login-form img {
    width: 40%;
}

.input-group {
    position: relative;
    margin-bottom: 25px;
}

.input-group label {
    display: block;
    font-size: 0.8rem;
    color: #888;
    margin-bottom: 5px;
}

.input-group input {
    width: 100%;
    padding: 12px 12px 12px 40px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 1rem;
    outline: none;
    transition: border-color 0.3s;
}

.input-group input:focus {
    border-color: rgb(30, 58, 138);
}

.input-group::before {
    content: "";
    position: absolute;
    left: 15px;
    top: 38px;
    width: 16px;
    height: 16px;
    background-size: contain;
    background-repeat: no-repeat;
}

.input-group:nth-of-type(1)::before {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="gray"><path d="M12 12c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0 2c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z"/></svg>');
}

.input-group:nth-of-type(2)::before {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="gray"><path d="M12 17c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm6-9h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zM9 6c0-1.66 1.34-3 3-3s3 1.34 3 3v2H9V6z"/></svg>');
}

.form-options {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
    font-size: 0.8rem;
}

.remember-me {
    display: flex;
    align-items: center;
}

.remember-me input {
    margin-right: 5px;
}

.forgot-password {
    color: #555;
    text-decoration: none;
}

.forgot-password:hover {
    text-decoration: underline;
}

.login-button {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 8px;
    background-color: rgb(30, 58, 138);

    color: #fff;
    font-size: 1rem;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.3s;
}

.login-button:hover {
    background-color: rgb(22, 44, 99);
}

.error-message {
    color: #ef4444;
    font-size: 0.8rem;
    margin-top: 5px;
    display: block;
}

/* STYLING HALAMAN FORGOT PASSWORD */

.forgot-password-container {
    width: 900px;
    height: 600px;
    background-color: #fff;
    box-shadow: 2px 2px 10px 5px rgba(0, 0, 0, 0.3);
    border-radius: 20px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.forgot-password-top {
    flex-basis: 45%;
    background: linear-gradient(rgb(30, 58, 138, 0.7), rgba(30, 58, 138, 0.7)),
        url("../images/fotoGedungDinkes2.jpeg");
    background-size: cover;
    background-position: center;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.forgot-password-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(31, 41, 55, 0.5);
}

.forgot-password-logo {
    max-height: 80px;
    position: relative;
    z-index: 1;
}

.forgot-password-bottom {
    flex-basis: 55%;
    padding: 40px 60px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    justify-content: center;
}

.forgot-password-intro-text {
    font-size: 0.9rem;
    color: #555;
    margin-bottom: 20px;
    line-height: 1.6;
    text-align: center;
}

.forgot-password-form-group {
    margin-bottom: 20px;
}

.forgot-password-form-label {
    display: block;
    font-size: 0.9rem;
    color: #555;
    margin-bottom: 8px;
    font-weight: 500;
}

.forgot-password-form-input {
    width: 100%;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 1rem;
}

.forgot-password-form-footer {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
}

.forgot-password-submit-button {
    width: 100%;
    padding: 12px 30px;
    border: none;
    border-radius: 8px;
    background-color: rgb(30, 58, 138) !important;
    color: #fff;
    font-size: 1rem;
    font-weight: 600;
    cursor: pointer;
}

.error-message {
    color: #ef4444;
    font-size: 0.8rem;
    margin-top: 5px;
    display: block;
}

/* Media Screen Width */
@media screen and (min-width: 1024px) {
    .login-container {
        width: 900px;
        height: 600px;
    }
}

@media screen and (max-width: 1023px) {

    .login-container,
    .forgot-password-container {
        width: 700px;
        height: 550px;
    }

    html {
        font-size: 90%;
    }

    .input-group::before {
        top: 35px;
    }
}

@media screen and (max-width: 768px) {

    .login-container,
    .forgot-password-container {
        flex-direction: column;
        width: 400px;
        height: 600px;
        border-radius: 10px;
    }

    .login-right {
        flex-grow: 1;
        width: 100%;
        padding: 20px;
        background-color: white;
    }

    .login-form img {
        width: 100px;
        height: auto;
    }

    .login-form h2 {
        font-size: 1.5rem;
        margin-bottom: 10px;
    }

    .login-container .login-left {
        text-align: center;
        justify-content: center;
    }

    .login-container .login-left .left-content h1 {
        margin-bottom: 0;
    }

    .login-container .login-left .left-content {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .login-container .login-right,
    .forgot-password-bottom {
        padding: 20px 30px 40px;
    }

    .form-options {
        margin-bottom: 10px;
    }

    html {
        font-size: 90%;
    }

    .input-group {
        margin-bottom: 10px;
    }

    .input-group::before {
        top: 35px;
    }
}

@media (max-width: 480px) {

    .login-container,
    .forgot-password-container {
        flex-direction: column;
        width: 300px;
        height: 550px;
        border-radius: 10px;
    }

    .login-form img {
        width: 80px;
    }

    .login-left {
        min-height: 200px;
        /* Buat bagian pucuk lebih pendek lagi */
        padding: 30px 15px;
    }

    .login-left h1 {
        font-size: 2rem;
        /* Kecikke lagi judul sapaan */
    }

    .login-container .login-right,
    .forgot-password-bottom {
        padding: 20px 30px 30px;
    }

    .form-options {
        /* Buat 'Remember Me' dan 'Forgot Password' jadi kebawah */
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .input-group::before {
        top: 30px;
    }

    html {
        font-size: 70%;
    }
}